<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        .container {
  display: grid;
  grid-template-columns: 300px 1fr ;
  grid-template-rows: 150px calc(100vh - 150px);
  gap: 0px 0px;
  grid-auto-flow: row;
  grid-template-areas:
    "aside header header"
    "aside main main"
    "aside main main";
}

.aside { 
    grid-area: aside;
    background-color: tomato;
    
}
 

.header { 
    grid-area: header;
    height: 150px;
    background-color: thistle;
    
 }

.main { 
    grid-area: main;
    background-color: yellow;
 }




    </style>
</head>
<body>
    <div class="container">
        <div class="aside">aside</div>
        <div class="header">header</div>
        <div class="main">main</div>
      </div>
</body>
</html>